# VH6B CELI alerts
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: 'CELI'
source_enum: kEmuCELI
namespace: zoox::celi_b
can_messages:
    - status_msg: CELI1_alertStatus
    - status_msg: CELI2_alertStatus
can_import: firmware/common/can/generated/vh6/vh6b/celi.h
can_namespace: vh6b
faults:
  - id: 0
    name: dcdcMainFault
    severity: WARNING
    description: Fault with DIM main DCDC converter.
    troubleshooting_steps: Replace DIM.
  - id: 1
    name: dcdc33Fault
    severity: WARNING
    description: Fault with DIM 3.3V DCDC converter.
    troubleshooting_steps: Replace DIM.
  - id: 2
    name: ledStr1dataFault
    severity: WARNING
    description: DIM led string 1 faulted.
    troubleshooting_steps: Replace DIM.
  - id: 3
    name: ledStr2dataFault
    severity: WARNING
    description: DIM led string 2 faulted.
    troubleshooting_steps: Replace DIM.
  - id: 4
    name: canFault
    severity: WARNING
    description: DIM reports CAN faulted. (Will likely not recive this report)
    troubleshooting_steps: Replace DIM.
  - id: 5
    name: calFault
    severity: WARNING
    description: DIM reports calibration faulted.
    troubleshooting_steps: Retry calibration. Replace DIM if persists.
  - id: 6
    name: invalidAnSeqReq
    severity: WARNING
    description: DIM reports an invalid animation was requested.
    troubleshooting_steps: Confirm DIM flashed with relevant animation file. Notify firmware team if persists.
